Package org.eclipse.mat.snapshot.extension

## Class CollectionExtractionInfo

- java.lang.Object
- - org.eclipse.mat.snapshot.extension.CollectionExtractionInfo

    public class CollectionExtractionInfo
    extends Object

Since:
  1.6

### Field Summary

Fields
`String` `className`
`ICollectionExtractor` `extractor`
`EnumSet<JdkVersion>` `version`

### Constructor Summary

Constructors
`CollectionExtractionInfo​(String className, EnumSet<JdkVersion> version, ICollectionExtractor extractor)`
`CollectionExtractionInfo​(String className, ICollectionExtractor extractor)`
`CollectionExtractionInfo​(String className, JdkVersion version, ICollectionExtractor extractor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### className

    public final String className

#### version

    public final EnumSet<JdkVersion> version

#### extractor

    public final ICollectionExtractor extractor

### Constructor Detail

#### CollectionExtractionInfo

    public CollectionExtractionInfo​(String className,
                                    ICollectionExtractor extractor)

#### CollectionExtractionInfo

    public CollectionExtractionInfo​(String className,
                                    JdkVersion version,
                                    ICollectionExtractor extractor)

#### CollectionExtractionInfo

    public CollectionExtractionInfo​(String className,
                                    EnumSet<JdkVersion> version,
                                    ICollectionExtractor extractor)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`